html,
body {
  height: 100%;
}

.analyst-toolbar .toolbar-search-multiselect {
  width: 800px;
  padding-left: 20px;
  display: inline-block;
}
.analyst-toolbar .toolbar-searchbox {
  vertical-align: top;
}
.analyst-toolbar .toolbar-text {
  display: inline-block;
  vertical-align: top;
  padding-left: 15px;
  padding-top: 5px;
}

.torii-dashboard {
  background-color: #f9f9f9;
}

.torii-flex {
  min-height: 100%;
  display: flex;
  gap: 2rem;
  flex-direction: column;
  justify-content: space-between;
}
.torii-flex #top-bar-filler {
  height: var(--header-height, 5rem);
}
.torii-flex.torii-landing-page {
  align-items: center;
}

/* common to fixed bars */
.torii-fixed-bar {
  position: fixed;
  top: 0;
  z-index: 5;
  background: white;
  /* fixed title */
  /* fixed banner */
  /* list items in fixed bar */
}
.torii-fixed-bar.title {
  top: calc(var(--header-height, 5rem) + 0.5rem);
  left: 60px;
  right: 300px;
  height: 85px;
}
.torii-fixed-bar.progress {
  top: calc(var(--header-height, 5rem) + 1.125rem);
  right: 60px;
  width: 182px;
}
.torii-fixed-bar.banner {
  top: calc(var(--header-height, 5rem) - 1rem);
  left: 60px;
  right: 60px;
  padding-top: 16px;
  padding-bottom: 40px;
}
.torii-fixed-bar.deprecate {
  background: none;
  position: absolute;
  display: flex;
  justify-content: center;
  padding-bottom: 0px;
}
.torii-fixed-bar ul {
  list-style-type: none;
  margin-top: 0.8em;
  padding: 0;
}

/* page content */
.torii-content-wrapper {
  position: absolute;
  top: calc(var(--header-height, 5rem) + 5.75rem);
  left: 0;
  right: 0;
  margin-right: 300px;
  margin-left: 60px;
}
.torii-content-wrapper .torii-content {
  flex-grow: 1;
  /*
   * Override for long text not wrapping in View mode of
   */
}
.torii-content-wrapper .torii-content .o-form-pre {
  white-space: pre-line;
}

/* app catalog page content */
.torii-app-catalog-content {
  position: absolute;
  top: var(--header-height, 5rem);
  right: 60px;
  left: 60px;
}

/* infobox normal weight */
.torii-infobox {
  font-weight: 400;
  margin-bottom: 15px;
  /* remove indentation of list items */
  /* tighten up list items in our infobox */
}
.torii-infobox ul {
  margin-left: 0;
  margin-top: 0;
  padding-left: 1.2em;
  list-style-type: disc;
  font-size: 1rem;
}
.torii-infobox ol {
  margin-left: 0;
  padding-left: 1.2em;
  list-style-type: decimal;
  font-size: 1rem;
}
.torii-infobox li {
  margin: 3px 0;
}

/* when we create a view that contains a label below something else - enforces expected padding */
p.torii-label-below {
  padding-top: 7px;
}

/* display a group of checkboxes inline, and with enough width that they'll tend to line up vertically */
.custom-checkbox.torii-inline {
  clear: none;
  float: left;
  min-width: 13em;
  padding-right: 1em;
}

.torii-landing-page-content {
  flex-grow: 1;
  /* used by the app dashboard view */
}
.torii-landing-page-content .data-list {
  margin: 0 30px;
}
.torii-landing-page-content .data-list .sidebar-dropdown-wrap {
  padding: 7px 10px;
}
.torii-landing-page-content strong {
  font-weight: 700;
}
.torii-landing-page-content .torii-app-dashboard {
  width: 1000px;
}
.torii-landing-page-content .torii-app-dashboard h1 {
  text-align: left;
  color: #5e5e5e;
  padding-top: 1.5em;
  margin-bottom: 0.5em;
}
.torii-landing-page-content .torii-app-dashboard p.section {
  line-height: 1.4em;
  font-size: 16px;
  margin-bottom: 1em;
}
.torii-landing-page-content .torii-app-dashboard p.footer {
  font-size: 12px;
}
.torii-landing-page-content .torii-app-dashboard .float-button-right {
  float: right;
  padding-left: 20px;
}
.torii-landing-page-content .add-submission-error-box {
  clear: both;
  padding-top: 10px;
}
.torii-landing-page-content .torii-app-dashboard-version {
  height: 92px;
  border: 1px solid #ddd;
  background-color: white;
  display: table;
  width: 100%;
  margin-bottom: 20px;
  border-top-left-radius: 3px;
  border-top-right-radius: 3px;
}
.torii-landing-page-content .torii-app-dashboard-version .app-logo {
  height: 75px;
  vertical-align: middle;
  display: table-cell;
  min-width: 150px;
  padding: 0 10px;
}
.torii-landing-page-content .torii-app-dashboard-version .app-logo img {
  display: block;
  max-height: 82px;
  max-width: 122px;
  padding: 5px;
  margin: auto;
}
.torii-landing-page-content .torii-app-dashboard-version .values {
  display: table-cell;
  vertical-align: middle;
  min-width: 800px;
}
.torii-landing-page-content .torii-app-dashboard-version .values .version {
  display: inline;
  color: #5e5e5e;
  font-size: 14px;
  padding-right: 10px;
  margin-bottom: 10px;
  margin-top: 30px;
}
.torii-landing-page-content .torii-app-dashboard-version .values .modified {
  display: block;
  color: #bababa;
  font-size: 14px;
}
.torii-landing-page-content .torii-app-dashboard-version .version-section {
  float: left;
  max-width: 70%;
  padding-top: 1em;
  padding-bottom: 1em;
}
.torii-landing-page-content .torii-app-dashboard-version .button-section {
  float: right;
  padding-top: 1em;
  padding-bottom: 1em;
}
.torii-landing-page-content .torii-app-dashboard-version .just-publish {
  margin-left: 1em;
}
.torii-landing-page-content .torii-app-dashboard-version span {
  line-height: 21px;
}
.torii-landing-page-content .torii-app-dashboard-version .progress-tracker {
  height: 80px;
}
.torii-landing-page-content .torii-app-dashboard-version .progress-text {
  padding: 15px;
  text-align: center;
}
.torii-landing-page-content .torii-app-dashboard-version .progress-text p {
  font-size: 18px;
}
.torii-landing-page-content .torii-app-dashboard-version .progress-title {
  padding-top: 15px;
  padding-bottom: 5px;
  text-align: center;
}
.torii-landing-page-content .torii-app-dashboard-version .progress-title h2 {
  font-weight: bold;
  margin: 0;
  font-size: 23px;
}
.torii-landing-page-content .torii-app-dashboard-version .bottom-border {
  border-bottom: 1px solid #ddd;
}
.torii-landing-page-content .torii-status-sticker {
  display: inline;
  padding: 1px 8px;
  margin: 0 2px;
  font-size: 12px;
  font-weight: 700;
}
.torii-landing-page-content .torii-status-sticker.blue {
  background-color: #dbf3fa;
  color: #37a3e6;
}
.torii-landing-page-content .torii-status-sticker.green {
  background-color: #ddf3eb;
  color: #42b88c;
}
.torii-landing-page-content .torii-status-sticker.yellow {
  background-color: #fef4d0;
  color: #eeba00;
}
.torii-landing-page-content .torii-status-sticker.red {
  background-color: #f88c90;
  color: #da372c;
}
.torii-landing-page-content .torii-app-dashboard-version-bottom {
  border-bottom-left-radius: 3px;
  border-bottom-right-radius: 3px;
}

/* Holds a centered button, and provides a little space above */
div.dashboard-button {
  margin-bottom: 1.5em;
  text-align: center;
  margin-top: 1.5em;
}

input.dashboard-button {
  min-width: 80px;
}

/* small work-around for a courage style bug - prevents the dismiss icon from overlapping the call-out text */
.torii-banner-content {
  padding-right: 16px;
}

.config-edit-banner {
  margin-bottom: 30px;
}

#torii-progress-test-in-okta {
  color: #1662dd;
  background: white;
  border-color: #1662dd;
}
#torii-progress-test-in-okta:hover {
  border-color: #6198ef;
}
#torii-progress-test-in-okta:active {
  border-color: #1662dd;
}
#torii-progress-test-in-okta:disabled {
  border-color: #ddd;
  background: #f9f9f9;
  color: #ababab;
  cursor: not-allowed;
}

.scope-edit-banner {
  margin-bottom: 20px;
}

.test-in-okta-banner {
  margin-bottom: 20px;
}

/* pad a button link look like a button */
a.torii-button {
  padding: 6px 10px;
}

.file-upload .file-upload-preview {
  min-height: 50px;
  float: left;
  width: 200px;
  position: relative;
  padding: 10px 0;
  border: 1px solid #ddd;
  border-radius: 3px;
  box-shadow: 0 2px 0 rgba(175, 175, 175, 0.12);
}

.image-file-upload .image-file-thumbnail {
  padding: 0 10px;
  width: 75%;
  max-height: 100px;
  overflow: hidden;
}

/* TODO OKTA-109867: For disabled radio buttons, remove when option added to Courage */
.custom-radio label.not-available {
  background-position: -16px -313px;
  color: lightgrey;
}
.custom-radio label.not-available.checked {
  background-position: -16px -513px;
}

.o-wizard p.step-title {
  font-size: 14px;
}

h1.torii-tight,
h2.torii-tight,
h3.torii-tight,
h4.torii-tight,
h5.torii-tight,
h6.torii-tight {
  margin: 0;
  padding: 0.3em 0 0.25em 0;
}

h1.torii-tight {
  font-size: 1.7rem;
}

.torii-tight.config-title {
  display: inline;
  padding-right: 10px;
  font-size: 1.1rem;
}

span.config-title-container {
  z-index: 100;
  position: relative;
}

.analyst-view-appname {
  display: block;
  line-height: 20px;
}

.analyst-view-appstatus {
  font-weight: bold;
}

.analyst-view-companyname {
  color: #ababab;
}

.cell-escalated {
  background-color: yellow !important;
}

.search-box-has-submit.input-fix {
  border-radius: 17px 0 0 17px;
}
.search-box-has-submit input[type=text] {
  width: 131px;
}

.catalog-editor-datalist td {
  vertical-align: middle;
}

.chzn-container-single .chzn-search::after {
  background-position: right 10px bottom 15px;
}

.search-box-large.input-fix {
  height: 32px;
}
.search-box-large .icon-only {
  top: 9px;
}
.search-box-large .search-box-spinner {
  top: 16px !important;
}
.search-box-large .clear-search {
  border-radius: 11px;
  height: 20px;
  width: 20px;
  top: 5px;
}
.search-box-large .icon.clear-input-16 {
  top: 2px;
  left: 2px;
}
.search-box-large + .search-box-submit[type=submit] {
  border-radius: 0 17px 17px 0;
  height: 34px !important;
}

.search-box-spinner {
  left: 15px !important;
  top: 14px !important;
}

.search-box-submit[type=submit] {
  border-radius: 0 15px 15px 0;
  height: 30px !important;
  box-shadow: none !important;
  color: #888 !important;
  font-size: 12px !important;
  margin: 0 !important;
  padding: 0 16px;
  border-color: #c1c1c1 !important;
  font-family: Arial, Helvetica, sans-serif;
  border-left: none;
  background: #ffffff; /* Old browsers */
  /* IE9 SVG, needs conditional override of 'filter' to 'none' */
  background: url(data:image/svg+xml;base64,PD94bWwgdmVyc2lvbj0iMS4wIiA/Pgo8c3ZnIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgd2lkdGg9IjEwMCUiIGhlaWdodD0iMTAwJSIgdmlld0JveD0iMCAwIDEgMSIgcHJlc2VydmVBc3BlY3RSYXRpbz0ibm9uZSI+CiAgPGxpbmVhckdyYWRpZW50IGlkPSJncmFkLXVjZ2ctZ2VuZXJhdGVkIiBncmFkaWVudFVuaXRzPSJ1c2VyU3BhY2VPblVzZSIgeDE9IjAlIiB5MT0iMCUiIHgyPSIwJSIgeTI9IjEwMCUiPgogICAgPHN0b3Agb2Zmc2V0PSIzMyUiIHN0b3AtY29sb3I9IiNmZmZmZmYiIHN0b3Atb3BhY2l0eT0iMSIvPgogICAgPHN0b3Agb2Zmc2V0PSIxMDAlIiBzdG9wLWNvbG9yPSIjZjFmMWYxIiBzdG9wLW9wYWNpdHk9IjEiLz4KICA8L2xpbmVhckdyYWRpZW50PgogIDxyZWN0IHg9IjAiIHk9IjAiIHdpZHRoPSIxIiBoZWlnaHQ9IjEiIGZpbGw9InVybCgjZ3JhZC11Y2dnLWdlbmVyYXRlZCkiIC8+Cjwvc3ZnPg==) !important;
  background: -moz-linear-gradient(top, #ffffff 33%, #f1f1f1 100%) !important; /* FF3.6+ */
  background: -webkit-gradient(linear, left top, left bottom, color-stop(33%, #ffffff), color-stop(100%, #f1f1f1)) !important; /* Chrome,Safari4+ */
  background: -webkit-linear-gradient(top, #ffffff 33%, #f1f1f1 100%) !important; /* Chrome10+,Safari5.1+ */
  background: -o-linear-gradient(top, #ffffff 33%, #f1f1f1 100%) !important; /* Opera 11.10+ */
  background: -ms-linear-gradient(top, #ffffff 33%, #f1f1f1 100%) !important; /* IE10+ */
  background: linear-gradient(to bottom, #ffffff 33%, #f1f1f1 100%) !important; /* W3C */
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#ffffff", endColorstr="#f1f1f1", GradientType=0) !important; /* IE6-8 */
}
.search-box-submit[type=submit]:hover {
  border-color: #bababa !important;
  color: #333 !important;
}

/* Vendor prefixes - do not combine rules */
::-webkit-input-placeholder {
  color: #777;
}

:focus::-webkit-input-placeholder {
  color: transparent;
}

:-moz-placeholder {
  /* Firefox 18- */
  color: #777;
}

:focus:-moz-placeholder {
  color: transparent;
}

::-moz-placeholder {
  /* Firefox 19+ */
  color: #777;
}

:focus::-moz-placeholder {
  color: transparent;
}

:-ms-input-placeholder {
  color: #777;
}

:focus:-ms-input-placeholder {
  color: transparent;
}

.pastdue-label {
  color: red;
}

#beta-banner {
  text-align: center;
  font-size: 16px;
}

.app-dashboard-version-foot-banner {
  display: table-caption;
  caption-side: bottom;
  padding: 15px;
  border: 1px solid #ddd;
  border-top: 0;
  background: #f9f9f9;
  text-align: center;
}

/* okta's disable makes the border white - we want something less faded */
input.torii-button-dashboard.btn-disabled,
input.torii-button-dashboard.btn-disabled:hover {
  background: white;
  color: #ababab;
  border-color: #ddd; /* custom: secondary-color-light */
}

.torii-just-published-banner {
  display: table-caption;
  caption-side: bottom;
  padding: 15px;
  border: 1px solid #ddd;
  border-top: 0;
  background: #44bc98;
  text-align: center;
  color: white;
}

.torii-status-dot {
  border-radius: 50%;
  width: 6px;
  height: 6px;
  position: absolute;
  margin: auto;
  left: 3px;
  top: 0;
  bottom: 0;
}

.torii-status-container {
  position: relative;
}
.torii-status-container .blue {
  background: #37a3e6;
}
.torii-status-container .green {
  background: #42b88c;
}
.torii-status-container .yellow {
  background: #eeba00;
}
.torii-status-container .red {
  background: #e34843;
}

.torii-status-dot-text {
  font-size: 14px;
  padding-left: 15px;
}

.torii-status-saving {
  line-height: 42px;
  font-size: 14px;
  text-align: center;
}

.torii-status-saved {
  color: #1662dd;
}

.torii-progress-integration {
  height: 65px;
  border: 1px solid #ddd;
  border-bottom: 0;
  display: table;
  width: 100%;
  box-sizing: border-box;
  border-top-left-radius: 3px;
  border-top-right-radius: 3px;
  clear: left;
}
.torii-progress-integration .integration-row {
  display: table-row;
}
.torii-progress-integration .integration-cell {
  display: table-cell;
  vertical-align: middle;
  padding: 6px 12px;
  border-bottom: 1px solid #ddd;
}
.torii-progress-integration .integration-type {
  line-height: 32px;
  font-size: 12px;
  float: left;
}
.torii-progress-integration .integration-percent {
  line-height: 32px;
  font-size: 12px;
  float: right;
  color: #6e6e78;
}
.torii-progress-integration .progress-bar {
  clear: both;
  height: 17px;
}
.torii-progress-integration .progress-bar-outer {
  position: relative;
  width: 100%;
  background-color: #cacaca; /* item-count-bg-color */
  border-radius: 3px;
}
.torii-progress-integration .progress-bar-inner {
  height: 5px;
  background-color: #1662dd;
  border-radius: 3px;
}

#torii-progress-integration-submit {
  display: table-caption;
  caption-side: bottom;
  padding: 10px;
  border: 1px solid #ddd;
  border-top: 0;
  text-align: center;
  border-bottom-left-radius: 3px;
  border-bottom-right-radius: 3px;
}

#torii-progress-cancel,
#torii-progress-update,
#torii-progress-back,
#torii-progress-test-in-okta {
  clear: both;
  width: 100%;
}

#published p {
  text-align: center;
  color: #ababab;
  margin-top: 10px;
}

#back {
  padding-top: 10px;
}

#test-in-okta {
  padding-top: 10px;
}

.torii-hide-section {
  display: none;
}

.torii-config-switch {
  background: #fbfbfb;
  border-color: #ddd #ddd #d2d2d2 #ddd;
  border-width: 1px;
  border-style: solid;
  box-shadow: 0 1px 1px rgba(175, 175, 175, 0.16);
  margin-bottom: 27px;
  border-radius: 4px;
  height: 60px;
}
.torii-config-switch .switch-container {
  padding: 17px;
  display: flex;
  align-items: center;
  height: inherit;
}

.torii-switch-label {
  height: 28px;
  line-height: 28px;
  margin-left: 5px;
  font-weight: bold;
}

.torii-switch-dropdown {
  margin-left: 20px;
  flex-grow: 1;
}

.torii-switch-help-link {
  margin-right: 10px;
}

.torii-config-help-text {
  margin: 80px auto 0 auto;
  width: 380px;
  text-align: center;
  font-size: 15px;
  color: darkgrey;
}

.config-help-text-header {
  font-weight: 600;
}

.torii-hidden {
  display: none;
}

.torii-external-comment div.o-form-input {
  width: 100%;
}
.torii-external-comment div.o-form-label {
  width: 100%;
}

.torii-version-bubble {
  width: 25px;
  height: 25px;
  left: 51px;
  top: -25px;
  position: relative;
  background: rgba(210, 238, 228, 0.7);
  border-radius: 50%;
  z-index: 50;
}

.torii-version-popup-content {
  width: 300px;
  max-width: 300px;
  border-radius: 3px;
}

.torii-version-popup-title {
  font-size: larger;
  margin-top: 10px;
}

.torii-version-popup-text {
  margin-top: 14px;
  font-size: 105%;
  color: #cad1d1;
}

.torii-app-catalog-title {
  margin-bottom: 20px;
}

input[type=button].torii-version-popup-btn {
  margin-top: 20px;
  color: #fff;
  border-radius: 3px;
  background: -webkit-linear-gradient(#4cbf9c, #44bc98), #44bc98;
  border-color: #328c71 #328c71 #2f856b;
}

.integration-summary-title {
  text-align: center;
  font-weight: 600;
  margin-bottom: 18px;
}

.integration-summary-warning {
  margin: 18px;
}

.integration-summary-container {
  display: table;
  height: 92px;
  border: 1px solid #ddd;
  background-color: white;
  width: 100%;
  table-layout: fixed;
}

.integration-summary-row {
  display: table-row;
}

.integration-summary-type {
  display: table-cell;
  width: 100%;
  border-right: 1px solid #ddd;
  text-align: center;
  vertical-align: middle;
}
.integration-summary-type p {
  line-height: 12px;
  font-weight: 600;
}
.integration-summary-type .green {
  color: #42b88c;
}
.integration-summary-type .grey {
  color: #ababab;
  font-weight: inherit;
}

span.underline {
  text-decoration: underline;
}

.diff-infobox {
  display: flex;
}
.diff-infobox > div {
  padding: 5px;
}

.diff-label {
  flex: 10%;
}

.diff-text {
  flex: 90%;
}

.diff-infobox ul {
  list-style-type: none;
  padding-left: 0;
}
.diff-infobox li {
  margin-top: 0;
  margin-bottom: 0;
}

/**
    Boostrap page styles
 */
.bootstrap {
  margin-top: var(--header-height, 5rem);
}

/**
    Catalog Editor Landing page styles
*/
.catalog-editor-landing-page-container {
  margin: var(--header-height, 5rem) 30px 0 30px;
}

/**
    Popular Search Update page styles
*/
.popular-search-update-page-container {
  margin: var(--header-height, 5rem) 30px 0 30px;
}

/**
    Promotion Feature page styles
*/
.promotion-feature-update-page-container {
  margin: var(--header-height, 5rem) 30px 0 30px;
}

/**
    Rotate app info secret page styles
 */
.rotate {
  margin-top: var(--header-height, 5rem);
}

/*
   CSS reset due to courage upgrade
*/
.simplemodal-container-new .button-bar {
  margin-top: 1rem;
  clear: both;
  border-top: 1px solid #ddd !important;
  text-align: right;
}

.button-bar input + input.button {
  margin: 0 0 0 10px;
}

.aip-create-new {
  margin: 0 0 15px 0 !important;
}
.aip-create-new .add-16-thin::before {
  color: #5e5e5e;
}

.appInstanceProperties {
  min-width: 500px;
  max-width: 750px;
}
.appInstanceProperties .aip-variable-name {
  color: #bababa;
}
.appInstanceProperties .button-section {
  display: flex;
  width: 150px;
  float: right;
}
.appInstanceProperties .button-section .list-input-button {
  padding: 0;
}
.appInstanceProperties .button-section .aip-action-button {
  padding-left: 10px;
}

.oauth-config .integration-type-subhead {
  font-weight: 600;
  font-size: 14px;
}
.oauth-config .form-divider {
  border-bottom: solid 1px #d7d7dc;
  margin: 1rem 0;
}

.loading {
  display: flex;
  justify-content: center;
}
.loading:after {
  content: "";
  width: 25px;
  height: 25px;
  border: 5px solid transparent;
  border-top-color: #5e5e5e;
  border-radius: 50%;
  animation: loading 1s linear infinite;
}

@keyframes loading {
  to {
    transform: rotate(1turn);
  }
}
/** MUI overrides **/
a.MuiLink-root[target=_blank]::after {
  background-image: none !important;
  width: 0;
  height: 0;
  margin-left: 0;
}

/*
 * Tooltip styles cannot be done in MUI because they are created outside the MUI component.
 */
.MuiTooltip-tooltip {
  font-size: inherit !important;
  background-color: #212126 !important;
  padding: 1rem !important;
}